To work with SQL Manager for InterBase/Firebird you have to register one or more databases in DB Explorer.
To register a new database in DB Explorer click Shift+Alt+R
You can create a new database by clicking the menu: Database, Create Database...
When you are registering a database running on an IB server under UNIX, check the option "Do not use Services API".
To save all changes done with SQL Manager for InterBase/Firebird in a log file turn on the option "Enable logging Metadata Changes" and specify the path to the log file using the Database Registration Info dialog.
SQL Manager for InterBase/Firebird can periodically automatically save the texts of the objects such as Stored Procedures, Views and Triggers.
To enable Auto-Save turn on the option "Enable Quick Save every" and specify the period of time between consecutive saves.
Besides Auto-Save you can use Quick Save and Quick Load in the editors of Stored Procedures, Views and Triggers. To use this feature right-click the mouse in the object editor and choose "Quick Save" or "Quick Load"
To activate Quick Save and Quick Load use Ctrl+Shirt+S and Ctrl+Shift+L respectively.
You can see object descriptions right in the tree of DB Explorer. Turn on the option "Show Objects Descriptions" in the Environment Options dialog to activate this feature.
You can limit the number of editors that can be opened at the same time by specifying the maximum number in the option "Objects Count Restricted" of the Environment Options dialog.
When the option "Fetch All" in the Environment Options dialog is on, the SQL Editor will automatically download all entries satisfying the query criteria.
When the option "Substitute Constraints In Query Plan" is on, system indexes will be automatically replaced with the names of corresponding constraints in the query plan.
You can control the level of transactions that work with data and metadata by specifying transaction parameters on the "Transactions" tab of the Environment Options dialog.
You can set up the format of viewing fields such as integer, float/numeric/decimal, date/time/datetime on the "Grid" tab of the Environment Options dialog.
You can limit the visible length of string fields in a table by using the option "String Fields Width" on the "Grid" tab of the Environment Options dialog.
Hyperlinks can be used in all sql editors (SQL Editor, Stored Procedure Editor, Trigger Editor, View Editor, SQL Script). To insert a hyperlink double-click the underlined object name.
Keyboard templates can be used in all sql-editors (SQL Editor, SQL Script) to automatically replace certain key combinations with predefined text.
To activate the support of keyboard templates use the option "Use Keyboard Templates" on the tab "QuickCode" in the "Editor Options" dialog.
SQL Manager for InterBase/Firebird supports user's plug-ins. They can be loaded through the "Plugin Options" dialog.
Plug-ins in SQL Manager for InterBase/Firebird are divided into two parts: general-purpose tools, and object-oriented tools. General-purpose tools can be set up in the Plugins menu. Object-oriented tools are built in the editors, enhancing their functionality.
SQL Manager for InterBase/Firebird has a number of ready-to-use plug-in Test Data Generator (general purpose tool).
You can change the hot key of any plug-in on the tab "Plugin options".
You can hide inactive databases in DB Explorer by choosing "Hide Disconnected Databases" from the falling menu.
Run the object editor by double-clicking the object in SQL Assistant
Choose the table name in DB Explorer, select several fields in SQL Assistant and copy the list of those fields to any sql-editor.
You can select objects that you work with most frequently and put them to the tree on the tab "Project View" in DB Explorer.
To put objects to the tree on the tab "Project View" in DB Explorer, switch to the "Page Mode", by pressing the corresponding button on the DB Explorer toolbar.
To sort data in the table editor click the column title. Repeated pressing will change the sorting order.
To activate sorting in the table editor off, press and release Ctrl and then press the column title.
You can filter data in a table. Press and release Ctrl, and then press the column title. In the appeared menu choose "Set Filter"
